Loading...
Searching...
No Matches
XrdCl::VisaImpl< HasHndl > Class Template Reference

Visa operation (. More...

`#include <XrdClFileOperations.hh>`

Inheritance diagram for XrdCl::VisaImpl< HasHndl >:
Collaboration diagram for XrdCl::VisaImpl< HasHndl >:

## Public Member Functions

std::string | ToString ()
Public Member Functions inherited from XrdCl::FileOperation< VisaImpl, HasHndl, Resp< Buffer > >
virtual | ~FileOperation ()
| Destructor.
Public Member Functions inherited from XrdCl::ConcreteOperation< VisaImpl, HasHndl, Resp< Buffer >, Arguments... >
Operation< HasHndl > * | Move ()
VisaImpl< true > | operator>> (Hdlr &&hdlr)
VisaImpl< true > | operator| (Operation< true > &op)
VisaImpl< HasHndl > | Timeout (uint16_t timeout)
| Set operation timeout.
Operation< true > * | ToHandled ()
Public Member Functions inherited from XrdCl::Operation< HasHndl >
| Operation ()
| Constructor.
template<bool from>
| Operation (Operation< from > &&op)
| Move constructor between template instances.
virtual | ~Operation ()
| Destructor.

## Protected Member Functions

XRootDStatus | RunImpl (PipelineHandler *handler, uint16_t pipelineTimeout)
Protected Member Functions inherited from XrdCl::ConcreteOperation< VisaImpl, HasHndl, Resp< Buffer >, Arguments... >
VisaImpl< true > | StreamImpl (ResponseHandler *handler)
VisaImpl< to > | Transform ()
Protected Member Functions inherited from XrdCl::Operation< HasHndl >
void | AddOperation (Operation< true > *op)
void | Run (Timeout timeout, std::promise< XRootDStatus > prms, std::function< void(const XRootDStatus &)> final)

## Additional Inherited Members

Static Protected Member Functions inherited from XrdCl::ConcreteOperation< VisaImpl, HasHndl, Resp< Buffer >, Arguments... >
static void | AllocHandler (ConcreteOperation< VisaImpl, true, Resp< Buffer >, Args... > &me)
static VisaImpl< true > | PipeImpl (ConcreteOperation< VisaImpl, HasHndl, Resp< Buffer >, Args... > &me, Operation< true > &op)
Protected Attributes inherited from XrdCl::FileOperation< VisaImpl, HasHndl, Resp< Buffer > >
Ctx< File > | file
| The file object itself.
Protected Attributes inherited from XrdCl::ConcreteOperation< VisaImpl, HasHndl, Resp< Buffer >, Arguments... >
std::tuple< Args... > | args
| Operation arguments.
uint16_t | timeout
| Operation timeout.
Protected Attributes inherited from XrdCl::Operation< HasHndl >
std::unique_ptr< PipelineHandler > | handler
| Operation handler.
bool | valid
| Flag indicating if it is a valid object.

## Detailed Description

template<bool HasHndl>
class XrdCl::VisaImpl< HasHndl >

Visa operation (.

See also
  FileOperation)

Definition at line 928 of file XrdClFileOperations.hh.

## Member Function Documentation

## RunImpl()

template<bool HasHndl>

XRootDStatus XrdCl::VisaImpl< HasHndl >::RunImpl | ( | PipelineHandler * | handler,
|  | uint16_t | pipelineTimeout )

inline protected virtual

RunImpl operation (

See also
  Operation)

Parameters

  params | : container with parameters forwarded from previous operation

Returns
  : status of the operation

Implements XrdCl::Operation< HasHndl >.

Definition at line 954 of file XrdClFileOperations.hh.

{
uint16_t timeout = pipelineTimeout < this->timeout ?
pipelineTimeout : this->timeout;
return this->file->Visa( handler, timeout );
}
XrdCl::ConcreteOperation< VisaImpl, HasHndl, Resp< Buffer >, Arguments... >::timeout
uint16_t timeout
Definition XrdClOperations.hh:742
XrdCl::FileOperation< VisaImpl, HasHndl, Resp< Buffer > >::file
Ctx< File > file
Definition XrdClFileOperations.hh:88
XrdCl::Operation::handler
std::unique_ptr< PipelineHandler > handler
Operation handler.
Definition XrdClOperations.hh:150
XrdCl::VisaImpl
Visa operation (.
Definition XrdClFileOperations.hh:929

## ToString()

template<bool HasHndl>

std::string XrdCl::VisaImpl< HasHndl >::ToString | ( |  | ) |

inline virtual

Returns
  : name of the operation (

See also
  Operation)

Implements XrdCl::Operation< HasHndl >.

Definition at line 940 of file XrdClFileOperations.hh.

{
return "Visa";
}

The documentation for this class was generated from the following file:

- XrdClFileOperations.hh